PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Functions
pipewire.h File Reference
Core API » Initialization

`pipewire/pipewire.h` More...

Go to the source code of this file.

## Functions
void | pw_init (int *argc, char **argv[])
| Initialize PipeWire.
void | pw_deinit (void)
| Deinitialize PipeWire.
bool | pw_debug_is_category_enabled (const char *name)
| Check if a debug category is enabled.
const char * | pw_get_application_name (void)
| Get the application name.
const char * | pw_get_prgname (void)
| Get the program name.
const char * | pw_get_user_name (void)
| Get the user name.
const char * | pw_get_host_name (void)
| Get the host name.
const char * | pw_get_client_name (void)
| Get the client name.
bool | pw_check_option (const char *option, const char *value)
enum pw_direction | pw_direction_reverse (enum pw_direction direction)
| Reverse the direction.
int | pw_set_domain (const char *domain)
const char * | pw_get_domain (void)
uint32_t | pw_get_support (struct spa_support *support, uint32_t max_support)
struct spa_handle * | pw_load_spa_handle (const char *lib, const char *factory_name, const struct spa_dict *info, uint32_t n_support, const struct spa_support support[])
int | pw_unload_spa_handle (struct spa_handle *handle)

## Detailed Description

`pipewire/pipewire.h`